'use strict';

Object.defineProperty(exports, "__esModule", {
    value: true
});

var _createClass = function () { function defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } } return function (Constructor, protoProps, staticProps) { if (protoProps) defineProperties(Constructor.prototype, protoProps); if (staticProps) defineProperties(Constructor, staticProps); return Constructor; }; }();

var _templateObject = _taggedTemplateLiteral(['\n    flex: 0 0 200px;\n    max-width: 300px;\n    min-width: fit-content;\n    width: 300px;\n    max-height: 100vh;\n    overflow-y: scroll;\n'], ['\n    flex: 0 0 200px;\n    max-width: 300px;\n    min-width: fit-content;\n    width: 300px;\n    max-height: 100vh;\n    overflow-y: scroll;\n']),
    _templateObject2 = _taggedTemplateLiteral(['\n    width: 300px;\n    height: 100px;\n    background-color: #333333;\n    border-bottom: 1px solid #e7ebee;\n'], ['\n    width: 300px;\n    height: 100px;\n    background-color: #333333;\n    border-bottom: 1px solid #e7ebee;\n']),
    _templateObject3 = _taggedTemplateLiteral(['\n    margin-top: 32px;\n    margin-left: 21px;\n'], ['\n    margin-top: 32px;\n    margin-left: 21px;\n']),
    _templateObject4 = _taggedTemplateLiteral(['\n    margin-bottom: 50px;\n    margin-left: 21px;\n    width: 40px;\n    height: 40px;\n    background-color: #DEDADA;\n    color: #333333;\n    border-radius: 6px;\n    border: 0px;\n    font-size: 40px;\n'], ['\n    margin-bottom: 50px;\n    margin-left: 21px;\n    width: 40px;\n    height: 40px;\n    background-color: #DEDADA;\n    color: #333333;\n    border-radius: 6px;\n    border: 0px;\n    font-size: 40px;\n']);

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _FriendListItem = require('./FriendListItem');

var _FriendListItem2 = _interopRequireDefault(_FriendListItem);

var _styledComponents = require('styled-components');

var _styledComponents2 = _interopRequireDefault(_styledComponents);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _possibleConstructorReturn(self, call) { if (!self) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return call && (typeof call === "object" || typeof call === "function") ? call : self; }

function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function, not " + typeof superClass); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, enumerable: false, writable: true, configurable: true } }); if (superClass) Object.setPrototypeOf ? Object.setPrototypeOf(subClass, superClass) : subClass.__proto__ = superClass; }

function _taggedTemplateLiteral(strings, raw) { return Object.freeze(Object.defineProperties(strings, { raw: { value: Object.freeze(raw) } })); }

var List = _styledComponents2.default.div(_templateObject);

var Logo = _styledComponents2.default.div(_templateObject2);

var Img = _styledComponents2.default.img(_templateObject3);

var Settings = _styledComponents2.default.button(_templateObject4);

var FriendList = function (_React$Component) {
    _inherits(FriendList, _React$Component);

    function FriendList() {
        _classCallCheck(this, FriendList);

        return _possibleConstructorReturn(this, (FriendList.__proto__ || Object.getPrototypeOf(FriendList)).apply(this, arguments));
    }

    _createClass(FriendList, [{
        key: 'render',
        value: function render() {
            return _react2.default.createElement(
                'div',
                null,
                _react2.default.createElement(
                    Logo,
                    null,
                    _react2.default.createElement(Img, { src: 'https://preview.ibb.co/hm0cJz/Pub_Nub_Logo_transparent_bg_png.png', width: '205.38', height: '45px' }),
                    _react2.default.createElement(
                        Settings,
                        null,
                        '\u2699\uFE0E'
                    )
                ),
                _react2.default.createElement(
                    List,
                    null,
                    _react2.default.createElement(_FriendListItem2.default, { name: 'Stephen', status: 'Online', image: 'https://www.w3schools.com/w3images/avatar3.png' }),
                    _react2.default.createElement(_FriendListItem2.default, { name: 'Adam', status: 'Offline', image: 'https://www.w3schools.com/w3images/avatar1.png' }),
                    _react2.default.createElement(_FriendListItem2.default, { name: 'Jordon', status: 'Offline', image: 'https://www.w3schools.com/w3images/avatar2.png' }),
                    _react2.default.createElement(_FriendListItem2.default, { name: 'Namratha', status: 'Online', image: 'https://www.w3schools.com/w3images/avatar4.png' }),
                    _react2.default.createElement(_FriendListItem2.default, { name: 'Syed', status: 'Online', image: 'https://www.w3schools.com/w3images/avatar3.png' }),
                    _react2.default.createElement(_FriendListItem2.default, { name: 'Cameron', status: 'Offline', image: 'https://www.w3schools.com/w3images/avatar2.png' }),
                    _react2.default.createElement(_FriendListItem2.default, { name: 'Kaushik', status: 'Online', image: 'https://www.w3schools.com/w3images/avatar1.png' })
                )
            );
        }
    }]);

    return FriendList;
}(_react2.default.Component);

exports.default = FriendList;