'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _createClass = function () { function defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } } return function (Constructor, protoProps, staticProps) { if (protoProps) defineProperties(Constructor.prototype, protoProps); if (staticProps) defineProperties(Constructor, staticProps); return Constructor; }; }();

var _templateObject = _taggedTemplateLiteral(['\n    height : 100px;\n    border-bottom : 1px solid #e7ebee;\n    position : relative;\n    background-color: #333333;\n    &: hover {\n      background-color: #747474;\n    }\n'], ['\n    height : 100px;\n    border-bottom : 1px solid #e7ebee;\n    position : relative;\n    background-color: #333333;\n    &: hover {\n      background-color: #747474;\n    }\n']),
    _templateObject2 = _taggedTemplateLiteral(['\n   position : relative;\n   height: 58px;\n   width : 53px;\n   border-radius : 50%;\n   float : left;\n   top: 21px;\n   left: 21px;\n'], ['\n   position : relative;\n   height: 58px;\n   width : 53px;\n   border-radius : 50%;\n   float : left;\n   top: 21px;\n   left: 21px;\n']),
    _templateObject3 = _taggedTemplateLiteral(['\n   position : absolute;\n   font-family: "Helvetica", Trebuchet MS, sans-serif;\n   font-weight: normal;\n   font-size : 20px;\n   color : #ffffff;\n   margin-left: 80px;\n   padding : 20px; 0 0 0;\n   width : 220px;\n'], ['\n   position : absolute;\n   font-family: "Helvetica", Trebuchet MS, sans-serif;\n   font-weight: normal;\n   font-size : 20px;\n   color : #ffffff;\n   margin-left: 80px;\n   padding : 20px; 0 0 0;\n   width : 220px;\n']),
    _templateObject4 = _taggedTemplateLiteral(['\n  background : ', ';\n  border-radius : 50%;\n  width : 9px;\n  height : 9px;\n  position : absolute;\n  top : 41px;\n  right : 17px;\n'], ['\n  background : ', ';\n  border-radius : 50%;\n  width : 9px;\n  height : 9px;\n  position : absolute;\n  top : 41px;\n  right : 17px;\n']);

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _propTypes = require('prop-types');

var _propTypes2 = _interopRequireDefault(_propTypes);

var _styledComponents = require('styled-components');

var _styledComponents2 = _interopRequireDefault(_styledComponents);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _possibleConstructorReturn(self, call) { if (!self) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return call && (typeof call === "object" || typeof call === "function") ? call : self; }

function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function, not " + typeof superClass); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, enumerable: false, writable: true, configurable: true } }); if (superClass) Object.setPrototypeOf ? Object.setPrototypeOf(subClass, superClass) : subClass.__proto__ = superClass; }

function _taggedTemplateLiteral(strings, raw) { return Object.freeze(Object.defineProperties(strings, { raw: { value: Object.freeze(raw) } })); }

var Friend = _styledComponents2.default.div(_templateObject);

var Image = _styledComponents2.default.img(_templateObject2);

var ContactName = _styledComponents2.default.p(_templateObject3);

var Status = _styledComponents2.default.div(_templateObject4, function (props) {
  return props.status == 'Online' ? '#26c281' : '#ffce54';
});

var FriendListItem = function (_PureComponent) {
  _inherits(FriendListItem, _PureComponent);

  function FriendListItem() {
    _classCallCheck(this, FriendListItem);

    return _possibleConstructorReturn(this, (FriendListItem.__proto__ || Object.getPrototypeOf(FriendListItem)).apply(this, arguments));
  }

  _createClass(FriendListItem, [{
    key: 'render',
    value: function render() {
      return _react2.default.createElement(
        Friend,
        null,
        _react2.default.createElement(Image, { src: this.props.image }),
        _react2.default.createElement(
          ContactName,
          null,
          this.props.name
        ),
        _react2.default.createElement(Status, { status: this.props.status })
      );
    }
  }]);

  return FriendListItem;
}(_react.PureComponent);

exports.default = FriendListItem;


FriendListItem.propTypes = {
  name: _propTypes2.default.string,
  status: _propTypes2.default.string,
  image: _propTypes2.default.string
};