'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _createClass = function () { function defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } } return function (Constructor, protoProps, staticProps) { if (protoProps) defineProperties(Constructor.prototype, protoProps); if (staticProps) defineProperties(Constructor, staticProps); return Constructor; }; }();

var _templateObject = _taggedTemplateLiteral(['\n    box-shadow: 0 4px 8px 0 rgba(0, 0, 0, 0.2);\n    max-width: 499px;\n    margin: auto;\n    text-align: center;\n'], ['\n    box-shadow: 0 4px 8px 0 rgba(0, 0, 0, 0.2);\n    max-width: 499px;\n    margin: auto;\n    text-align: center;\n']),
    _templateObject2 = _taggedTemplateLiteral(['\n  color: grey;\n  font-size: 18px;\n'], ['\n  color: grey;\n  font-size: 18px;\n']),
    _templateObject3 = _taggedTemplateLiteral(['\n    border: none;\n    outline: 0;\n    display: inline-block;\n    padding: 8px;\n    color: white;\n    background-color: #000;\n    text-align: center;\n    cursor: pointer;\n    width: 100%;\n    font-size: 18px;\n    &: hover {\n      opacity: 0.7;\n    }\n'], ['\n    border: none;\n    outline: 0;\n    display: inline-block;\n    padding: 8px;\n    color: white;\n    background-color: #000;\n    text-align: center;\n    cursor: pointer;\n    width: 100%;\n    font-size: 18px;\n    &: hover {\n      opacity: 0.7;\n    }\n']);

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _styledComponents = require('styled-components');

var _styledComponents2 = _interopRequireDefault(_styledComponents);

var _reactFavicon = require('react-favicon');

var _reactFavicon2 = _interopRequireDefault(_reactFavicon);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _possibleConstructorReturn(self, call) { if (!self) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return call && (typeof call === "object" || typeof call === "function") ? call : self; }

function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function, not " + typeof superClass); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, enumerable: false, writable: true, configurable: true } }); if (superClass) Object.setPrototypeOf ? Object.setPrototypeOf(subClass, superClass) : subClass.__proto__ = superClass; }

function _taggedTemplateLiteral(strings, raw) { return Object.freeze(Object.defineProperties(strings, { raw: { value: Object.freeze(raw) } })); }

var Card = _styledComponents2.default.div(_templateObject);

var Title = _styledComponents2.default.p(_templateObject2);

var Button = _styledComponents2.default.button(_templateObject3);

var HeaderPreview = function (_PureComponent) {
  _inherits(HeaderPreview, _PureComponent);

  function HeaderPreview() {
    _classCallCheck(this, HeaderPreview);

    return _possibleConstructorReturn(this, (HeaderPreview.__proto__ || Object.getPrototypeOf(HeaderPreview)).apply(this, arguments));
  }

  _createClass(HeaderPreview, [{
    key: 'render',
    value: function render() {
      return _react2.default.createElement(
        Card,
        null,
        _react2.default.createElement('img', { src: 'https://www.w3schools.com/w3images/avatar3.png', alt: 'John' }),
        _react2.default.createElement(
          'h1',
          null,
          'Stephen Blum'
        ),
        _react2.default.createElement(
          Title,
          null,
          'Online, active 15 minutes ago'
        ),
        _react2.default.createElement(
          'p',
          null,
          _react2.default.createElement(
            Button,
            null,
            'Mail'
          )
        )
      );
    }
  }]);

  return HeaderPreview;
}(_react.PureComponent);

exports.default = HeaderPreview;