"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _createClass = function () { function defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } } return function (Constructor, protoProps, staticProps) { if (protoProps) defineProperties(Constructor.prototype, protoProps); if (staticProps) defineProperties(Constructor, staticProps); return Constructor; }; }();

var _react = require("react");

var _react2 = _interopRequireDefault(_react);

var _reactSwitch = require("react-switch");

var _reactSwitch2 = _interopRequireDefault(_reactSwitch);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _possibleConstructorReturn(self, call) { if (!self) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return call && (typeof call === "object" || typeof call === "function") ? call : self; }

function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function, not " + typeof superClass); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, enumerable: false, writable: true, configurable: true } }); if (superClass) Object.setPrototypeOf ? Object.setPrototypeOf(subClass, superClass) : subClass.__proto__ = superClass; }

var PreferencesModal = function (_Component) {
  _inherits(PreferencesModal, _Component);

  function PreferencesModal() {
    _classCallCheck(this, PreferencesModal);

    var _this = _possibleConstructorReturn(this, (PreferencesModal.__proto__ || Object.getPrototypeOf(PreferencesModal)).call(this));

    _this.state = { checked: false, positionChecked: false };
    _this.handleChange = _this.handleChange.bind(_this);
    _this.handlePositionChange = _this.handlePositionChange.bind(_this);
    return _this;
  }

  _createClass(PreferencesModal, [{
    key: "handleChange",
    value: function handleChange(checked) {
      this.setState({ checked: checked });
    }
  }, {
    key: "handlePositionChange",
    value: function handlePositionChange(positionChecked) {
      this.setState({ positionChecked: positionChecked });
    }
  }, {
    key: "render",
    value: function render() {
      return _react2.default.createElement(
        "div",
        null,
        _react2.default.createElement(
          "label",
          { htmlFor: "normal-switch" },
          _react2.default.createElement(
            "span",
            null,
            "Profile picture"
          ),
          _react2.default.createElement(_reactSwitch2.default, {
            checked: this.state.checked,
            onChange: this.handleChange,
            onColor: "#86d3ff",
            onHandleColor: "#2693e6",
            handleDiameter: 30,
            uncheckedIcon: false,
            checkedIcon: false,
            boxShadow: "0px 1px 5px rgba(0, 0, 0, 0.6)",
            activeBoxShadow: "0px 0px 1px 10px rgba(0, 0, 0, 0.2)",
            height: 20,
            width: 48,
            className: "react-switch",
            id: "material-switch"
          })
        ),
        _react2.default.createElement("br", null),
        _react2.default.createElement(
          "label",
          { htmlFor: "icon-switch" },
          _react2.default.createElement(
            "span",
            null,
            "Profile picture position"
          ),
          _react2.default.createElement(_reactSwitch2.default, {
            checked: this.state.positionChecked,
            onChange: this.handlePositionChange,
            uncheckedIcon: _react2.default.createElement(
              "div",
              {
                style: {
                  display: "flex",
                  justifyContent: "center",
                  alignItems: "center",
                  height: "100%",
                  fontSize: 15,
                  color: "white",
                  paddingRight: 2
                }
              },
              "Right"
            ),
            checkedIcon: _react2.default.createElement(
              "div",
              {
                style: {
                  display: "flex",
                  justifyContent: "center",
                  alignItems: "center",
                  height: "100%",
                  fontSize: 15,
                  color: "white",
                  paddingLeft: 2
                }
              },
              "Left"
            ),
            className: "react-switch",
            id: "icon-switch"
          })
        )
      );
    }
  }]);

  return PreferencesModal;
}(_react.Component);

exports.default = PreferencesModal;