'use strict';

Object.defineProperty(exports, "__esModule", {
    value: true
});

var _createClass = function () { function defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } } return function (Constructor, protoProps, staticProps) { if (protoProps) defineProperties(Constructor.prototype, protoProps); if (staticProps) defineProperties(Constructor, staticProps); return Constructor; }; }();

var _templateObject = _taggedTemplateLiteral(['\n    box-shadow: 5px 5px grey;\n'], ['\n    box-shadow: 5px 5px grey;\n']),
    _templateObject2 = _taggedTemplateLiteral(['\n    display: grid;\n    font-family: "\'Open Sans\', sans-serif";\n    grid-template-coloumns: 1fr;\n    grid-template-rows: ', ';\n    justify-items: center;\n    font-family: \'Open Sans\', sans-serif;\n    box-shadow: 0px 5px 10px grey;\n    padding: 10px;\n'], ['\n    display: grid;\n    font-family: "\'Open Sans\', sans-serif";\n    grid-template-coloumns: 1fr;\n    grid-template-rows: ', ';\n    justify-items: center;\n    font-family: \'Open Sans\', sans-serif;\n    box-shadow: 0px 5px 10px grey;\n    padding: 10px;\n']),
    _templateObject3 = _taggedTemplateLiteral(['\n    font-weight: 500;\n    font-size: 1.5em;\n'], ['\n    font-weight: 500;\n    font-size: 1.5em;\n']),
    _templateObject4 = _taggedTemplateLiteral(['\n    font-weight: 400;\n    font-size: 1em;\n'], ['\n    font-weight: 400;\n    font-size: 1em;\n']);

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _styledComponents = require('styled-components');

var _styledComponents2 = _interopRequireDefault(_styledComponents);

var _propTypes = require('prop-types');

var _propTypes2 = _interopRequireDefault(_propTypes);

var _Avatar = require('./Avatar');

var _Avatar2 = _interopRequireDefault(_Avatar);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _possibleConstructorReturn(self, call) { if (!self) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return call && (typeof call === "object" || typeof call === "function") ? call : self; }

function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function, not " + typeof superClass); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, enumerable: false, writable: true, configurable: true } }); if (superClass) Object.setPrototypeOf ? Object.setPrototypeOf(subClass, superClass) : subClass.__proto__ = superClass; }

function _taggedTemplateLiteral(strings, raw) { return Object.freeze(Object.defineProperties(strings, { raw: { value: Object.freeze(raw) } })); }

var Wrapper = _styledComponents2.default.div(_templateObject);

var Title = _styledComponents2.default.div(_templateObject2, function (props) {
    return props.sub ? '0.5fr 1fr .5fr' : '1fr 0.5fr';
});

var Heading = _styledComponents2.default.div(_templateObject3);

var SubHeading = _styledComponents2.default.div(_templateObject4);

var TitleBar = function (_PureComponent) {
    _inherits(TitleBar, _PureComponent);

    function TitleBar() {
        _classCallCheck(this, TitleBar);

        return _possibleConstructorReturn(this, (TitleBar.__proto__ || Object.getPrototypeOf(TitleBar)).apply(this, arguments));
    }

    _createClass(TitleBar, [{
        key: 'render',
        value: function render() {
            var _props = this.props,
                name = _props.name,
                sub = _props.sub,
                avatar = _props.avatar;

            return _react2.default.createElement(
                Title,
                null,
                _react2.default.createElement(_Avatar2.default, { src: avatar }),
                _react2.default.createElement(
                    Heading,
                    null,
                    ' ',
                    name,
                    ' '
                ),
                _react2.default.createElement(
                    SubHeading,
                    null,
                    ' ',
                    sub,
                    ' '
                )
            );
        }
    }]);

    return TitleBar;
}(_react.PureComponent);

exports.default = TitleBar;


TitleBar.propTypes = {
    name: _propTypes2.default.string.isRequired,
    sub: _propTypes2.default.string,
    avatar: _propTypes2.default.string.isRequired
};